Subject: <draft-ietf-tn3270e-tn3270-mib-04.txt>

From: [email-masked]
Date: Thu, 20 Nov 97 13:32:44 EST

A new version of the TN3270E-MIB has been submitted and is attached
to this note. A summary of the revisions are:

 1. Minor editorial changes.
 2. Changed MIB module to use an OID under the snanauMIB (mib-2 34)
    subtree.
 3. Added tn3270eSnaMapPrimaryLuName to the tn3270eSnaMapTable.
 4. Added the following object to a tn3270eTcpConnEntry:

        tn3270eTcpConnId
        tn3270eTcpConnClientIdFormat
        tn3270eTcpConnClientId
        tn3270eTcpConnMiscInfoFormat
        tn3270eTcpConnMiscInfo
        tn3270eTcpConnLuLuBindImage
        tn3270eTcpConnSnaState

 5. Reordered the index elements for a tn3270eTcpConnEntry in order
    for a address type object to preceed the actual address.
    In the process of doing this the tn3270eTcpConnEntry objects
    OID's where reordered.

The above changes are the result of the interim working group meeting
in RTP hosted by Cisco. Take a look at the new tn3270eTcpConnTable
objects and provide input via the list. In particular the clientId
and miscInfo object pairs are not fully defined.

Regards,

Ken White
======== TN3270E-MIB ===========================================

TN3270E Working Group
INTERNET DRAFT: <draft-ietf-tn3270e-tn3270-mib-04.txt>     Kenneth White
Expiration Date: May, 1998
                                                               IBM Corp.

                                                           November 1997

                Base Definitions of Managed Objects for
                          TN3270E Using SMIv2

                 <draft-ietf-tn3270e-tn3270-mib-04.txt>

Status of this Memo

  This document is an Internet Draft. Internet Drafts are working
  documents of the Internet Engineering Task Force (IETF), its Areas,
  and its Working Groups. Note that other groups may also distribute
  working documents as Internet Drafts.

  Internet Drafts are draft documents valid for a maximum of six
  months. Internet Drafts may be updated, replaced, or obsoleted by
  other documents at any time. It is not appropriate to use Internet
  Drafts as reference material or to cite them other than as a "working
  draft" or "work in progress."

  Please check the I-D abstract listing contained in each Internet
  Draft directory to learn the current status of this or any Internet
  Draft. Distribution of this document is unlimited.

Abstract

  The purpose of this memo is to define a Management Information Base
  (MIB) for configuring and managing TN3270E Servers.
  The MIB defined by this memo is intended to provide generic
  support for both Host and Gateway TN3270E server implementations.
  It is the intent that the MIB defined herein be extended
  by subsequent memos to provide non-generic configuration support
  and to enable TN3270E Response Time Collection.

  It is the intent of this MIB to fully adhere to all prerequisite MIBs
  unless explicitly stated. Deviations will be documented in
  corresponding conformance statements. The specification of this MIB
  will utilize the Structure of Management Information (SMI) for
  Version 2 of the Simple Network Management Protocol Version (refer to
  RFC1902, reference [1]).

  Table of Contents

Expires May 1998                                                [Page 1]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

  1.0 Introduction............................................. 2
  2.0 The SNMPv2 Network Management Framework.................. 2
  2.1 Object Definitions....................................... 3
  3.0 Structure of the MIB..................................... 3
  3.1 TN3270E Server Control................................... 4
  3.1.1 tn3270eSrvrConfTable................................... 4
  3.1.2 tn3270eSrvrPortTable................................... 5
  3.1.3 tn3270eSrvrStatsTable.................................. 5
  3.2 TN3270E Server Resource Configuration.................... 6
  3.3 Resource/Client Address Mappings......................... 6
  3.3.1 tn3270eSnaMapTable..................................... 6
  3.3.2 tn3270eResMapTable..................................... 6
  3.3.3 TCP Connection Table Additions......................... 7
  4.0 Definitions.............................................. 7
  5.0 Security Considerations..................................40
  6.0 Acknowledgments..........................................40
  7.0 References...............................................41
  8.0 Authors' Address.........................................42

1.  Introduction

  This document is a product of the TN3270E Working Group.  Its purpose
  is to define a MIB module for extending the traditional MIBs supported
  by a TCP/IP implementation for configuration and management of TN3270E
  servers.

2.  The SNMPv2 Network Management Framework

  The SNMP Network Management Framework presently consists of three
  major components.  They are:

  o the SMI, described in RFC 1902 [1], - the mechanisms used for
    describing and naming objects for the purpose of management.

  o the MIB-II, STD 17, RFC 1213 [5], - the core set of managed
    objects for the Internet suite of protocols.

  o the protocol, RFC 1157 [9] and/or RFC 1905 [7] - the protocol
    for accessing managed information.

  Textual conventions are defined in RFC 1903 [6], and conformance
  statements are defined in RFC 1904 [8].

  The Framework permits new objects to be defined for the purpose of
  experimentation and evaluation.

Expires May 1998                                                [Page 2]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

  This memo specifies a MIB module that is compliant to the SNMPv2 SMI.
  A semantically identical MIB conforming to the SNMPv1 SMI can be
  produced through the appropriate translation.

2.1.  Object Definitions

  Managed objects are accessed via a virtual information store, termed
  the Management Information Base or MIB.  Objects in the MIB are
  defined using the subset of Abstract Syntax Notation One (ASN.1)
  defined in the SMI.  In particular, each object object type is named
  by an OBJECT IDENTIFIER, an administratively assigned name.  The
  object type together with an object instance serves to uniquely
  identify a specific instantiation of the object.  For human
  convenience, we often use a textual string, termed the descriptor, to
  refer to the object type.

3.  Structure of the MIB

  The TN3270E-MIB is split into the following components:

    o TN3270E Server Control
    o TN3270E Server Resource Configuration
    o Resource/Client Address Mappings

  The TN3270E-MIB is defined primarily for TN3270E servers.  This memo
  does not explicitly address use of the MIB by TN3270 servers that do
  not support the TN3270E protocol.  Although a significant number of
  the objects do apply in the TN3270-only case, the case was not
  addressed since it is unlikely that a TN3270-only server would
  implement this MIB.

  The SYSAPPL-MIB, reference [12], is a prerequisite for the TN3270E-
  MIB, so that the Utf8String Textual Convention (TC) can be imported.
  This TC, which is used for some MIB objects containing textual
  information, enables internationalization of text strings, whereas the
  DisplayString TC does not.

  The MIB defined by this memo handles both IPv4 and IPv6 addressing.
  Two Textual Conventions, Tn3270eAddrType and Tn3270eTAddress, are
  defined for this purpose.  Tn3270eTAddress is essentially equivalent
  to TAddress, defined by RFC 1903.  The difference is that
  Tn3270eTAddress allows a null-length octet string, while TAddress
  doesn't.  Allowing a null IP Address is important, since in places
  Tn3270eTAddress object values are used as a component of an object
  instance, and need not actually contain an IP Address. In general, use

Expires May 1998                                                [Page 3]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

  of Tn3270eTAddress replaces the prior use of IpAddress to represent IP
  Addresses.

  Tn3270eAddrType is functionally equivalent to the TDomain TC, also
  defined by RFC 1903.  TDomain uses an OID to identify the contents of
  a TAddress object.  Tn3270eAddrType was chosen over TDomain because,
  with a SYNTAX of Unsigned32 (enumeration type), it is much simpler
  than an OID to specify in an instance identifier.

3.1.  TN3270E Server Control

  This group of objects provides for TN3270E server configuration, and
  consists of:

      o tn3270eSrvrConfTable
      o tn3270eSrvrPortTable
      o tn3270eSrvrStatsTable

3.1.1.  tn3270eSrvrConfTable

  The tn3270eSrvrConfTable contains a set of objects primarily for
  configuring and managing a TN3270E server.  As with most of the other
  tables in the TN3270E-MIB, this table is indexed by an unsigned
  integer, tn3270eSrvrConfIndex.  This primary index element enables
  support of multiple TN3270E servers on the same host.  Within a host,
  tn3270eSrvrConfIndex values must be unique, and need not be
  contiguous; otherwise these values are implementation-dependent.

  An earlier version of this memo had used the local IP Address
  associated with a TN3270E server along with tn3270eSrvrConfIndex as
  the primary indexes into most of its tables.  Use of a local IP
  Address was thought to enable use of these tables by management
  applications.  This approach was dropped, since it introduces a level
  of complexity into MIB table indexing for little actual benefit.

  tn3270eSrvrConfInactivityTimer defines the inactivity period for
  TN3270 and TN3270E Sessions. tn3270eSrvrConfSessionTermState defines
  how a session should be terminated. The three objects:

      o tn3270eSrvrConfActivityCheck
      o tn3270eSrvrConfActivityTimeout
      o tn3270eSrvrConfActivityInterval

  define the parameters for performing the "Telnet Timing Mark Option"
  as defined by RFC 860 [3].  The object tn3270eSrvrConfActivityCheck is
  defined to enable selection of either a NOP command or a TIMEMARK

Expires May 1998                                                [Page 4]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

  command.  Sending a NOP command results in less overhead then a
  TIMEMARK command, since a client doesn't send a reply.

  The objects tn3270eSrvrConfAdminStatus and tn3270eSrvrConfOperStatus
  enable remote starting and stopping of a TN3270E server.
  tn3270eSrvrConfFunctionsSupported indicates which of the TN3270 and
  TN3270E options a server supports.  The object
  tn3270eSrvrConfSessionTermState defines as a global option the
  processing steps that a TN3270E server should perform when a TN3270E
  session terminates with respect to the associated TCP connection.  The
  object tn3270eSrvrConfSrvrType indicates whether the TN3270E server
  represented by the tn3270eSrvrConfEntry is a host or a gateway server.
  The object tn3270eSrvrConfContact provides a scratch pad area for a
  TN3270E server administrator to store information for later retrieval.
  The object tn3270eSrvrConfRowStatus provides the capability to perform
  remote creation and deletion operations on this table.

3.1.2.  tn3270eSrvrPortTable

  The tn3270eSrvrPortTable exists in order to assign and retrieve the
  local TCP ports associated with a TN3270E server, since some TN3270E
  server implementations support multiple local ports.  A
  tn3270eSrvrPortEntry is indexed by:

      o tn3270eSrvrConfIndex
      o tn3270eSrvrConfPort
      o tn3270eSrvrConfPortAddrType
      o tn3270eSrvrConfPortAddress

  Certain TN3270E server implementations retrict a local TCP port to a
  particular local IP Address, instead of allowing connections for any
  local IP Address to occur via the port.  tn3270eSrvrConfPortAddrType
  and tn3270eSrvrConfPortAddress allow this restriction to be
  represented in the MIB.  A TN3270E server that doesn't restrict
  connections over a port to a local IP Address should use the value
  'unknown(0)' for tn3270eSrvrConfPortAddrType, and a null octet string
  for tn3270eSrvrConfPortAddress.

3.1.3.  tn3270eSrvrStatsTable

  The tn3270eSrvrStatsTable defines a series of objects used to provide
  general statistics on the use of a TN3270E server.

Expires May 1998                                                [Page 5]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

3.2.  TN3270E Server Resource Configuration

The TN3270E Server Resource Configuration collection of objects consists
of three tables:

    o tn3270eClientGroupTable
    o tn3270eResPoolTable
    o tn3270eClientResMapTable

tn3270eClientGroupTable and tn3270eResPoolTable enable implementations
to define groupings of both client addresses and resource pools for
mapping client addresses to resources. The mapping of a client group to
a resource pool is enabled via the tn3270eClientResMapTable.

3.3.  Resource/Client Address Mappings

Three tables are defined by this memo to enable mapping of resource
names to client addresses, and client addresses to resource names:

    o tn3270eSnaMapTable
    o tn3270eResMapTable
    o TCP Connection Table Additions

3.3.1.  tn3270eSnaMapTable

The tn3270eSnaMapTable is a read-only table that maps a secondary LU's
SNA network name to the name by which it is known locally at the TN3270e
server.  For correlation with data from a SNA network provision is made
for representation of the associating primary LU name in a
tn3270eSnaMapEntry. An entry in this table is created when the Activate
LU (ACTLU) request carrying the SNA network name of the SLU is received
from the SSCP.  The entry is deleted when the SLU is deactivated.

3.3.2.  tn3270eResMapTable

The tn3270eResMapTable is a read-only table that maps a resource name to
a client's address. An entry in this table is created when a TCP
connection is received by a TN3270E server and mapped to a resource. The
entry is deleted when the resource-to-address association is no longer
valid.

Expires May 1998                                                [Page 6]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

3.3.3.  TCP Connection Table Additions

The TCP Connection Table is defined by RFC 2012 (Refer to reference 10,
TCP-MIB Definitions). Traditionally, the contents of the TCP Connection
Table have been implementation-dependent.  Its formal definition
consists of the following objects:

   o tcpConnState (INTEGER)
   o tcpConnLocalAddress (IpAddress)
   o tcpConnLocalPort (INTEGER)
   o tcpConnRemAddress (IpAddress)
   o tcpConnRemPort (INTEGER)

It is indexed by: tcpConnLocalAddress, tcpConnLocalPort,
tcpConnRemAddress, and tcpConnRemPort.

The tn3270eTcpConnTable contains objects for keeping a list of the
current set of TN3270 and TN3270E sessions at a TN3270E server.  The
relationship between the tcpConnTable and the Tn3270eTcpConnTable is not
one-to-one, since the tn3270eTcpConnTable contains information
pertaining only to TN3270(E) sessions.

The tn3270eTcpConnTable has a different indexing structure from that of
the tcpConnTable. Instead of using IpAddress objects, Tn3270eTAddress
and Tn3270eAddrType object pairs are used to specify client addresses
(both local and remote). This enables support of IPv6 addresses. In
addition, the remote address pair precedes the local address pair in the
index clause, in order to enable a GET-NEXT operation using only the
remote address pair.

4.  Definitions

  TN3270E-MIB DEFINITIONS ::= BEGIN

  IMPORTS
      -- Some MIB Compilers require BITS to be imported from
      -- the SNMPv2-SMI
      MODULE-IDENTITY, OBJECT-TYPE, Unsigned32,
      TimeTicks, IpAddress,
      Counter32, Gauge32, Counter64
          FROM SNMPv2-SMI
      TEXTUAL-CONVENTION, RowStatus
          FROM SNMPv2-TC
      MODULE-COMPLIANCE, OBJECT-GROUP
          FROM SNMPv2-CONF
      snanauMIB
          FROM SNA-NAU-MIB

Expires May 1998                                                [Page 7]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      Utf8String
          FROM SYSAPPL-MIB;

    tn3270eMIB MODULE-IDENTITY
        LAST-UPDATED "9711200000Z" -- November 20, 1997
        ORGANIZATION "TN3270E Working Group"
        CONTACT-INFO
            "Kenneth White ([email-masked])
             IBM Corp."
        DESCRIPTION
            "This module defines a portion of the management
            information base (MIB) for managing TN3270E servers"
        ::= { snanauMIB 8 }

  -- Textual Conventions

  SnaResourceName ::= TEXTUAL-CONVENTION
      STATUS      current
      DESCRIPTION
          "The textual convention for defining an SNA resource
           name. A fully qualified SNA resource name, consisting of
           a 1 to 8 character network identifier (NetId), a
           period ('.'), and a 1 to 8 character resource name
           (ResName).

           The NetId and ResName are constructed from the uppercase
           letter 'A' - 'Z' and the numerics '0' - '9', all encoded
           in ASCII, with the restriction that the first character
           of each must be a letter. Trailing blanks are not allowed.

           Earlier versions of SNA permitted three additional
           characters in NetIds and ResNames:  '#', '@', and '$'.
           While this use of these characters has been retired,
           a Management Station should still accept them for
           backward compatibility.

           Note: This Textual Convention is not subject to
           internationalization, and does not use the character
           encodings used by the Utf8String Textual Convention."
      SYNTAX     OCTET STRING (SIZE(0..17))

  Tn3270eAddrType ::= TEXTUAL-CONVENTION
      STATUS      current
      DESCRIPTION
          "The textual convention for defining the type of an Client
           Address."
      SYNTAX      INTEGER {
                            unknown(0),

Expires May 1998                                                [Page 8]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

                            ipv4(1),
                            ipv6(2)
                          }

  Tn3270ResourceType ::= TEXTUAL-CONVENTION
      STATUS      current
      DESCRIPTION
          "The type of resource defined by a resource pool. Refer
          to tn3270eResPoolTable."
      SYNTAX      INTEGER {
                            other(0),
                            lu(1),
                            printer(2)
                          }

  Tn3270eTAddress ::= TEXTUAL-CONVENTION
      STATUS       current
      DESCRIPTION
            "Denotes an Client Address. The type of Client Address is
             determined by use of the Tn3270eAddrType Textual
  Convention.
             The length in octets of a Tn3270eTAddress object is:

              Tn3270eAddrType ENUM
                   unknown(0)             not known, must look at the
                                          actual length of the
                                          Tn3270eTAddress OCTET STRING.
                   ipv4(1)                4 OCTETS
                   ipv6(2)                16 OCTETS

            This textual convention is similar to the TAddress TC
            defined by RFC1903 except that it allows a zero length
            OCTET STRING and is not a full transport layer address."
      SYNTAX       OCTET STRING (SIZE (0..255))

  Tn3270Functions ::= TEXTUAL-CONVENTION
      STATUS      current
      DESCRIPTION
          "This textual convention is intended to reflect the
          current set of TN3270 and TN3270E functions that can
          be negotiated between a server and its client:

          RFC856
          transmitBinary    The sender of this command REQUESTS
                            permission to begin transmitting, or
                            confirms that it will now begin transmitting
                            characters which are to be interpreted

Expires May 1998                                                [Page 9]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

                            as 8 bits of binary data by
                            the receiver of the data.
          RFC820
          timeMark         The sender of this command REQUESTS that
                           the receiver of this command return a WILL
                           TIMING-MARK in the data stream at the
                           'appropriate place' ...
          RFC885
          endOfRecord      The sender of this command requests
                           permission to begin transmission of the
                           Telnet END-OF-RECORD (EOR) code when
                           transmitting data characters, or
                           the sender of this command confirms it will
                           now begin transmission of EORs with
                           transmitted data characters.
          RFC1091
          terminalType     Sender is willing to send terminal type
                           information in a subsequent sub-negotiation.
          RFC1041
          tn3270Regime     Sender is willing to send list of supported
                           3270 Regimes in a subsequent sub-negotiation.
          RFC1647
          scsCtlCodes     (Printer sessions only).  Allows the use
                          of the SNA Character Stream (SCS) and SCS
                          control codes on the session.  SCS is
                          used with LU type 1 SNA sessions.
          dataStreamCtl   (Printer sessions only).  Allows the use
                          of the standard 3270 data stream.  This
                          corresponds to LU type 3 SNA sessions.
          responses       Provides support for positive and
                          negative response handling.  Allows the
                          server to reflect to the client any and
                          all definite, exception, and no response
                          requests sent by the host application.
          bindImage       Allows the server to send the SNA Bind
                          image and Unbind notification to the
                          client.
          sysreq          Allows the client and server to emulate
                          some (or all, depending on the server) of
                          the functions of the SYSREQ key in an SNA
                          environment."
      SYNTAX      BITS {
                         transmitBinary(0),-- rfc856
                         timemark(1),      -- rfc860
                         endOfRecord(2),   -- rfc885
                         terminalType(3),  -- rfc1091
                         tn3270Regime(4),  -- rfc1041
                         scsCtlCodes(5),   -- rfc1647

Expires May 1998                                               [Page 10]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

                         dataStreamCtl(6), -- rfc1647
                         responses(7),     -- rfc1647
                         bindImage(8),     -- rfc1647
                         sysreq(9)         -- rfc1647
                       }

  Tn3270DeviceTypes ::= TEXTUAL-CONVENTION
      STATUS      current
      DESCRIPTION
          "This textual convention defines the list of device types
          that can be set as defined by RFC 1647."
      SYNTAX      INTEGER { -- terminals
                    unknown(0),
                    ibm3278d2(1),    -- (24 row x 80 col display)
                    ibm3278d2E(2),   -- (24 row x 80 col display)
                    ibm3278d3(3),    -- (32 row x 80 col display)
                    ibm3278d3E(4),   -- (32 row x 80 col display)
                    ibm3278d4(5),    -- (43 row x 80 col display)
                    ibm3278d4E(6),   -- (43 row x 80 col display)
                    ibm3278d5(7),    -- (27 row x 132 col display)
                    ibm3278d5E(8),   -- (27 row x 132 col display)
                    ibmDynamic(9),   -- (no pre-defined display size)
                    ibm3287d1(10)    -- printers
           }

  -- Top-level structure of the MIB

  tn3270eNotifications  OBJECT IDENTIFIER ::= { tn3270eMIB 0 }
  tn3270eObjects        OBJECT IDENTIFIER ::= { tn3270eMIB 1 }
  tn3270eConformance    OBJECT IDENTIFIER ::= { tn3270eMIB 3 }

  -- MIB Objects

  tn3270eSrvrConfTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eSrvrConfEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines the configuration elements for
          TN3270E Servers. The number of entries in this table
          is expected to vary depending on the location of the
          table. A particular TN3270E server is expected to
          have a single entry. Modeling of the configuration
          elements as a table allows multiple
          TN3270E Servers to exist at the same host."
      ::= { tn3270eObjects 1 }

  tn3270eSrvrConfEntry OBJECT-TYPE

Expires May 1998                                               [Page 11]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      SYNTAX      Tn3270eSrvrConfEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Definition of the configuration elements for a single
          TN3270E server."
      INDEX       { tn3270eSrvrConfIndex }
      ::= { tn3270eSrvrConfTable 1 }

  Tn3270eSrvrConfEntry ::= SEQUENCE {
      tn3270eSrvrConfIndex             Unsigned32,
      tn3270eSrvrConfInactivityTimeout Unsigned32,
      tn3270eSrvrConfActivityCheck     INTEGER,
      tn3270eSrvrConfActivityTimeout   Unsigned32,
      tn3270eSrvrConfActivityInterval  Unsigned32,
      tn3270eSrvrFunctionsSupported    Tn3270Functions,
      tn3270eSrvrConfAdminStatus       INTEGER,
      tn3270eSrvrConfOperStatus        INTEGER,
      tn3270eSrvrConfSessionTermState  INTEGER,
      tn3270eSrvrConfSrvrType          INTEGER,
      tn3270eSrvrConfContact           Utf8String,
      tn3270eSrvrConfRowStatus         RowStatus
    }

  tn3270eSrvrConfIndex  OBJECT-TYPE
      SYNTAX      Unsigned32
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
         "Indicates the instance of a TN3270E server that
          exists at an IP Host. Assignments of tn3270eSrvrConfIndex
          values need not be continuous and is implementation
          dependent. Within a host, assignment of
          tn3270eSrvrConfIndex values must be unique."
      ::= { tn3270eSrvrConfEntry 1 }

  tn3270eSrvrConfInactivityTimeout OBJECT-TYPE
      SYNTAX      Unsigned32 (0..99999999)
      UNITS "seconds"
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
         "The inactivity time-out specified in seconds. When a
          connection has been inactive for the number of seconds
          specified by this object it is closed. The default of
          0 means no inactivity time-out."
      DEFVAL { 0 }
      ::= { tn3270eSrvrConfEntry 2 }

Expires May 1998                                               [Page 12]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

  tn3270eSrvrConfActivityCheck OBJECT-TYPE
      SYNTAX      INTEGER {
                            noCheck(0),
                            timeMark(1),
                            nop(2)
                          }
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
         "This object is intended to enable either timemark or
          nop processing."
      DEFVAL { noCheck }
      ::= { tn3270eSrvrConfEntry 3 }

  tn3270eSrvrConfActivityTimeout OBJECT-TYPE
      SYNTAX      Unsigned32 (1..99999999)
      UNITS "seconds"
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
         "The TIMEMARK or NOP processing time-out specified in seconds.
          Note that a value of 0 is not allowed for this object since
          the function that uses this object relies on
          tn3270eSrvrConfActivityCheck for function enablement."
      DEFVAL { 600 }   -- 10 minutes
      ::= { tn3270eSrvrConfEntry 4 }

  tn3270eSrvrConfActivityInterval OBJECT-TYPE
      SYNTAX      Unsigned32 (1..99999999)
      UNITS "seconds"
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
         "The scan interval to be used by a TN3270E server.
          TIMEMARK or NOP processing scans the Telnet sessions
          on the interval provided by this object looking for
          sessions that have been idle for more than the value
          provided by tn3270eSrvrConfActivityTimeout.
          Note that a value of 0 is not allowed for this object since
          the function that uses this object relies on
          tn3270eSrvrConfActivityCheck for function enablement."
      DEFVAL { 120 }   -- 2 minutes
      ::= { tn3270eSrvrConfEntry 5 }

  tn3270eSrvrFunctionsSupported OBJECT-TYPE
      SYNTAX    Tn3270Functions
      MAX-ACCESS  read-only
      STATUS      current

Expires May 1998                                               [Page 13]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      DESCRIPTION
         "This object indicates the functions supported by a
          TN3270E server."
      DEFVAL { { scsCtlCodes, dataStreamCtl,
                 responses, bindImage, sysreq } }
      ::= { tn3270eSrvrConfEntry 6 }

  tn3270eSrvrConfAdminStatus OBJECT-TYPE
      SYNTAX  INTEGER {
                        up(1),
                        down(2),
                        stopImmediate(3)
                      }
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "The desired state of the TN3270E server:

           up(1)            - Activate a TN3270E server.
           down(2)          - Informs the associating TN3270E server
                              to gracefully terminate its processing.
           stopImmediate(3) - Informs the associating TN3270E server
                              to terminate immediately.

           Implementation as to the exact semantics of either down(2)
           or stopImmediate(3) processing is left as implementation
           dependent. A TN3270E server that does not distinguish
           between down or stopImmediate transitions should not
           support stopImmediate."
      ::= { tn3270eSrvrConfEntry 7 }

  tn3270eSrvrConfOperStatus OBJECT-TYPE
      SYNTAX  INTEGER {
                        up(1),
                        down(2)
                      }
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "The current operational state of a TN3270E server:

          up(1)   - The corresponding TN3270E server is active.
          down(2) - The corresponding TN3270E server is inactive."
      ::= { tn3270eSrvrConfEntry 8 }

  tn3270eSrvrConfSessionTermState OBJECT-TYPE
      SYNTAX  INTEGER {
                        terminate(1),

Expires May 1998                                               [Page 14]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

                        luSessionPend(2),
                        queueSession(3)
                      }
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
         "The current state for determining what a TN3270E server
          should do when a TN3270 Session terminates:

         terminate(1)     => Terminate TCP connection.
         luSessionPend(2) => Do not drop the TCP Connection
                             associated with a client when their
                             TN3270 Session ends. Processing should
                             redrive session initialization as if the
                             client was first connecting.
         queueSession(3)  => QUEUESESSION deals with CLSDST-Pass.
                             An example is the easiest explanation.
                             Assume APPL1 does a CLSDST-Pass
                             to APPL2.  Then the client logs off APPL
                             Without QUEUESESSION the connection
                             would now be broken. With QUEUESESSION
                             the TN3270E server keeps the LU around
                             after getting the APPL2 unbind waiting
                             for a bind from APPL1."
      DEFVAL { terminate }
      ::= { tn3270eSrvrConfEntry 9 }

  tn3270eSrvrConfSrvrType OBJECT-TYPE
      SYNTAX      INTEGER {
                            unknown(0),
                            host(1),
                            gateway(2)
                          }
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "This object indicates the type of TN3270E server.
          The existence of MIB tables and objects that will be
          defined by follow-on MIBs may be predicated on whether the
          TN3270E server can be local to the same host as a
          Target Application (host(1)) or will always be remote
          (gateway(2))."
      ::= { tn3270eSrvrConfEntry 10 }

  tn3270eSrvrConfContact OBJECT-TYPE
      SYNTAX      Utf8String (SIZE(0..255))
      MAX-ACCESS  read-create
      STATUS      current

Expires May 1998                                               [Page 15]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      DESCRIPTION
          "This object provides a scratch pad for a TN3270E server
          administrator for storing information for later retrieval."
      ::= { tn3270eSrvrConfEntry 11 }

  tn3270eSrvrConfRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "This object allows entries to be created and deleted in the
          tn3270eSrvrConfTable.

          An entry in this table is deleted by setting this object
          to destroy(6)."
      REFERENCE
          "RFC 1903, 'Textual Conventions for version 2 of the Simple
          Network Management Protocol (SNMPv2).'"
      ::= { tn3270eSrvrConfEntry 12 }

  tn3270eSrvrPortTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eSrvrPortEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines the TCP ports associated with TN3270E
          Servers."
      ::= { tn3270eObjects 2 }

  tn3270eSrvrPortEntry OBJECT-TYPE
      SYNTAX      Tn3270eSrvrPortEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Definition of a single TCP port assignment to a
           TN3270E server."
      INDEX       {
                    tn3270eSrvrConfIndex,
                    tn3270eSrvrPort,
                    tn3270eSrvrPortAddrType,
                    tn3270eSrvrPortAddress
                  }
      ::= { tn3270eSrvrPortTable 1 }

  Tn3270eSrvrPortEntry ::= SEQUENCE {
      tn3270eSrvrPort                 Unsigned32,
      tn3270eSrvrPortAddrType         Tn3270eAddrType,
      tn3270eSrvrPortAddress          Tn3270eTAddress,

Expires May 1998                                               [Page 16]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      tn3270eSrvrPortRowStatus        RowStatus
    }

  tn3270eSrvrPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
         "Indicates a port assigned to a server."
      ::= { tn3270eSrvrPortEntry 1 }

  tn3270eSrvrPortAddrType OBJECT-TYPE
      SYNTAX      Tn3270eAddrType
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Indicates the type of the Client Address represented in
           tn3270eSrvrPortAddress."
      ::= { tn3270eSrvrPortEntry 2 }

  tn3270eSrvrPortAddress OBJECT-TYPE
      SYNTAX      Tn3270eTAddress
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The Client Address associated with a TN3270E server port.
           tn3270eClientGroupAddrType indicates the address type
           (ipv4 or ipv6 for example)."
      ::= { tn3270eSrvrPortEntry 3 }

  tn3270eSrvrPortRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "This object allows entries to be created and deleted in the
          tn3270eSrvrPortTable.

          An entry in this table is deleted by setting this object
          to destroy(6)."
      REFERENCE
          "RFC 1903, 'Textual Conventions for version 2 of the Simple
          Network Management Protocol (SNMPv2).'"
      ::= { tn3270eSrvrPortEntry 4 }

  tn3270eSrvrStatsTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eSrvrStatsEntry
      MAX-ACCESS  not-accessible

Expires May 1998                                               [Page 17]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      STATUS      current
      DESCRIPTION
          "This table defines a set of statistics concerning
          global TN3270E server performance."
      ::= { tn3270eObjects 3 }

  tn3270eSrvrStatsEntry OBJECT-TYPE
      SYNTAX      Tn3270eSrvrStatsEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Collection of a set of statistic objects for a single
          TN3270 server. An entry can be global with respect to
          a single TN3270E server or be specified at a port level.
          Refer to the text description for tn3270eSrvrStatsPort.

          It is possible that a TN3270E server implementation may
          not be structured to support resource usage on a port basis
          but provide statistics via an entry in this table for
          each port. The recommended approach for this is to
          provide a global entry (a value of 0 for
          tn3270eSrvrStatsPort) with:

               tn3270eSrvrStatsMaxLus
               tn3270eSrvrStatsMaxLus
               tn3270eSrvrStatsLusInUse
               tn3270eSrvrStatsSpareLus
               tn3270eSrvrStatsMaxPtrs
               tn3270eSrvrStatsPtrsInUse
               tn3270eSrvrStatsSparePtrs

        set at this layer but set to zero at the port layer."
      INDEX       { tn3270eSrvrConfIndex, tn3270eSrvrStatsPort }
      ::= { tn3270eSrvrStatsTable 1 }

  Tn3270eSrvrStatsEntry ::= SEQUENCE {
      tn3270eSrvrStatsPort            Unsigned32,
      tn3270eSrvrStatsUpTime          TimeTicks,
      tn3270eSrvrStatsMaxLus          Unsigned32,
      tn3270eSrvrStatsLusInUse        Gauge32,
      tn3270eSrvrStatsSpareLus        Gauge32,
      tn3270eSrvrStatsMaxPtrs         Unsigned32,
      tn3270eSrvrStatsPtrsInUse       Gauge32,
      tn3270eSrvrStatsSparePtrs       Gauge32,
      tn3270eSrvrStatsConnectsIn      Counter32,
      tn3270eSrvrStatsConnRejects     Counter32,
      tn3270eSrvrStatsDisconnects     Counter32,
      tn3270eSrvrStatsOctetsIn        Counter64,

Expires May 1998                                               [Page 18]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      tn3270eSrvrStatsOctetsInLow     Counter32,
      tn3270eSrvrStatsOctetsOut       Counter64,
      tn3270eSrvrStatsOctetsOutLow    Counter32
    }

  tn3270eSrvrStatsPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
         "Indicates the port that the corresponding statistics are
          for. Implementation of collection of these statistics
          on a port basis is not mandatory. An implementation may
          limit itself to keeping this data on a global basis by
          using a value of 0."
      ::= { tn3270eSrvrStatsEntry 1 }

  tn3270eSrvrStatsUpTime OBJECT-TYPE
      SYNTAX      TimeTicks
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates when either usage of a associating port becomes
          active (tn3270eSrvrStatsPort non-zero) or if the entry
          is being kept on a global basis the time that the TN3270E
          server becomes active.  The value of this object does not
          get reset based on port usage status changes or changes
          to tn3270eSrvrConfOperStatus."
      ::= { tn3270eSrvrStatsEntry 2 }

  tn3270eSrvrStatsMaxLus OBJECT-TYPE
      SYNTAX      Unsigned32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the maximum number of LUs for use by a
          TN3270E server. The granularity of this data can be
          either global (corresponding tn3270eSrvrStatsPort index
          equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 3 }

  tn3270eSrvrStatsLusInUse OBJECT-TYPE
      SYNTAX      Gauge32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the current number of LUs in use by a
          TN3270E server. The granularity of this data can be

Expires May 1998                                               [Page 19]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          either global (corresponding tn3270eSrvrStatsPort index
          equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 4 }

  tn3270eSrvrStatsSpareLus OBJECT-TYPE
      SYNTAX      Gauge32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of free LUs for a particular TN3270E
          server. It is possible that the difference between
          tn3270eSrvrStatsMaxLus and tn3270eSrvrStatsLusInUse does
          not equal tn3270eSrvrStatsSpareLus. An LU may exist
          but not be useable by an client connection.
          The granularity of this data can be
          either global (corresponding tn3270eSrvrStatsPort index
          equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 5 }

  tn3270eSrvrStatsMaxPtrs OBJECT-TYPE
      SYNTAX      Unsigned32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the maximum number of Printer Resources for
          use by a TN3270E server. The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 6 }

  tn3270eSrvrStatsPtrsInUse OBJECT-TYPE
      SYNTAX      Gauge32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the current number of Printer Resources in
          use by a TN3270E server. The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 7 }

  tn3270eSrvrStatsSparePtrs OBJECT-TYPE
      SYNTAX      Gauge32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of free Printer Resources for a
          particular TN3270E server. It is possible that the

Expires May 1998                                               [Page 20]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          difference between tn3270eSrvrStatsMaxPtrs and
          tn3270eSrvrStatsPtrsInUse does not equal
          tn3270eSrvrStatsSparePtrs. A Printer resource may
          exist but not be useable by an client connection.
          The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 8 }

  tn3270eSrvrStatsConnectsIn OBJECT-TYPE
      SYNTAX      Counter32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of client connections received by a
          TN3270E server. The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 9 }

  tn3270eSrvrStatsConnRejects OBJECT-TYPE
      SYNTAX      Counter32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of client connections rejected during
          connection setup. An example of this is when no LU or
          Printer resource is available to associate with the
          TCP Connection of an client. The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 10 }

  tn3270eSrvrStatsDisconnects OBJECT-TYPE
      SYNTAX      Counter32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of client connections disconnected by a
          TN3270E server. The granularity of this data
          can be either global (corresponding tn3270eSrvrStatsPort
          index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 11 }

  tn3270eSrvrStatsOctetsIn OBJECT-TYPE
      SYNTAX      Counter64
      MAX-ACCESS  read-only
      STATUS      current

Expires May 1998                                               [Page 21]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      DESCRIPTION
         "Indicates the number of octets received from TN3270
          and TN3270E Clients.  The granularity
          of this data  can be either global (corresponding
          tn3270eSrvrStatsPort index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 12 }

  tn3270eSrvrStatsOctetsInLow OBJECT-TYPE
      SYNTAX      Counter32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Low order 32 bits of tn3270eSrvrStatsOctetsIn."
      ::= { tn3270eSrvrStatsEntry 13 }

  tn3270eSrvrStatsOctetsOut OBJECT-TYPE
      SYNTAX      Counter64
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Indicates the number of octets sent to TN3270
          and TN3270E Clients. The granularity
          of this data  can be either global (corresponding
          tn3270eSrvrStatsPort index equal to 0) or on a port basis."
      ::= { tn3270eSrvrStatsEntry 14 }

  tn3270eSrvrStatsOctetsOutLow OBJECT-TYPE
      SYNTAX      Counter32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "Low order 32 bits of tn3270eSrvrStatsOctetsOut."
      ::= { tn3270eSrvrStatsEntry 15 }

  tn3270eClientGroupTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eClientGroupEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines client address groupings for use by a
          TN3270E server."
      ::= { tn3270eObjects 4 }

  tn3270eClientGroupEntry OBJECT-TYPE
      SYNTAX      Tn3270eClientGroupEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION

Expires May 1998                                               [Page 22]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          "Definition of a single client address entry. All entries with
          the same first two indexes, tn3270eSrvrConfIndex and
          tn3270eClientGroupName, are considered to be in the same
          client group."
      INDEX       { tn3270eSrvrConfIndex,
                    tn3270eClientGroupName,
                    tn3270eClientGroupAddrType,
                    tn3270eClientGroupAddress }
      ::= { tn3270eClientGroupTable 1 }

  Tn3270eClientGroupEntry ::= SEQUENCE {
      tn3270eClientGroupName           Utf8String,
      tn3270eClientGroupAddrType       Tn3270eAddrType,
      tn3270eClientGroupAddress        Tn3270eTAddress,
      tn3270eClientGroupSubnetMask     IpAddress,
      tn3270eClientGroupPfxLength      Unsigned32,
      tn3270eClientGroupRowStatus      RowStatus }

  tn3270eClientGroupName OBJECT-TYPE
      SYNTAX      Utf8String (SIZE(1..24))
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of a client group."
      ::= { tn3270eClientGroupEntry 1 }

  tn3270eClientGroupAddrType OBJECT-TYPE
      SYNTAX      Tn3270eAddrType
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Indicates the type of the address represented in
           tn3270eClientGroupAddress."
      ::= { tn3270eClientGroupEntry 2 }

  tn3270eClientGroupAddress OBJECT-TYPE
      SYNTAX      Tn3270eTAddress
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The client address of a member of a client group. The value
           of tn3270eClientGroupAddrType indicates the address
           type (ipv4 or ipv6 for example)."
      ::= { tn3270eClientGroupEntry 3 }

  tn3270eClientGroupSubnetMask OBJECT-TYPE
      SYNTAX      IpAddress
      MAX-ACCESS  read-create

Expires May 1998                                               [Page 23]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      STATUS      current
      DESCRIPTION
          "The corresponding subnet mask associated with
           tn3270eClientGroupAddress. A single IP Address is
           represented by having this object contain the value
           of 255.255.255.255. This object is valid only if
           tn3270eClientGroupAddrType has a value of ipv4(1)."
      DEFVAL { 'FFFFFFFF'H }
      ::= { tn3270eClientGroupEntry 4 }

  tn3270eClientGroupPfxLength OBJECT-TYPE
      SYNTAX      Unsigned32 (0..128)
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "The corresponding IPv6 network prefix length. This
           object is valid only if tn3270eClientGroupAddrType
           has a value of ipv6(2)."
      DEFVAL { 0 }
      ::= { tn3270eClientGroupEntry 5 }

  tn3270eClientGroupRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "This object allows entries to be created and deleted in the
          tn3270eClientGroupTable.

          An entry in this table is deleted by setting this object
          to destroy(6)."
      REFERENCE
          "RFC 1903, 'Textual Conventions for version 2 of the Simple
          Network Management Protocol (SNMPv2).'"
      ::= { tn3270eClientGroupEntry 6 }

  tn3270eResPoolTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eResPoolEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines resource groupings; the term
           'pool' is used as it is defined by RFC 1647."
      ::= { tn3270eObjects 5 }

  tn3270eResPoolEntry OBJECT-TYPE
      SYNTAX      Tn3270eResPoolEntry
      MAX-ACCESS  not-accessible

Expires May 1998                                               [Page 24]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      STATUS      current
      DESCRIPTION
          "Definition of a single resource pool member. All entries
          with the same first two indexes, tn3270eSrvrConfIndex and
          tn3270eResPoolName, are considered to be in the same pool."
      INDEX  { tn3270eSrvrConfIndex,
               tn3270eResPoolName,
               tn3270eResPoolElementName }
      ::= { tn3270eResPoolTable 1 }

  Tn3270eResPoolEntry ::= SEQUENCE {
      tn3270eResPoolName           Utf8String,
      tn3270eResPoolElementName    SnaResourceName,
      tn3270eResPoolElementType    Tn3270ResourceType,
      tn3270eResPoolRowStatus      RowStatus }

  tn3270eResPoolName OBJECT-TYPE
      SYNTAX      Utf8String (SIZE(1..24))
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of a resource pool.."
      ::= { tn3270eResPoolEntry 1 }

  tn3270eResPoolElementName OBJECT-TYPE
      SYNTAX      SnaResourceName
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of a member of a resource pool."
      ::= { tn3270eResPoolEntry 2 }

  tn3270eResPoolElementType OBJECT-TYPE
      SYNTAX      Tn3270ResourceType
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "The type of the entity in a resource pool."
      ::= { tn3270eResPoolEntry 3 }

  tn3270eResPoolRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "This object allows entries to be created and deleted in the
          tn3270eResPoolTable.

Expires May 1998                                               [Page 25]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          An entry in this table is deleted by setting this object
          to destroy(6)."
      REFERENCE
          "RFC 1903, 'Textual Conventions for version 2 of the Simple
          Network Management Protocol (SNMPv2).'"
      ::= { tn3270eResPoolEntry 4 }

  tn3270eSnaMapTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eSnaMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table provide a mapping from the name by which
           a secondary LU is known in the SNA network to the
           name by which it is known locally at the TN3270e
           server.  This latter name serves as an index into
           the tn3270eResPoolTable and the tn3270eResMapTable."
      ::= { tn3270eObjects 6 }

  tn3270eSnaMapEntry OBJECT-TYPE
      SYNTAX      Tn3270eSnaMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Definition of a single mapping from an SSCP-supplied
           SLU name to a local SLU name."
      INDEX  { tn3270eSrvrConfIndex,
               tn3270eSnaMapSscpSuppliedName }
      ::= { tn3270eSnaMapTable 1 }

  Tn3270eSnaMapEntry ::= SEQUENCE {
      tn3270eSnaMapSscpSuppliedName     SnaResourceName,
      tn3270eSnaMapLocalName            SnaResourceName,
      tn3270eSnaMapPrimaryLuName        SnaResourceName }

  tn3270eSnaMapSscpSuppliedName OBJECT-TYPE
      SYNTAX      SnaResourceName
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of the secondary LU (SLU) as it is known in the
           SNA network.  This name is sent by the SSCP on the
           Activate Logical Unit (ACTLU) request."
      ::= { tn3270eSnaMapEntry 1 }

  tn3270eSnaMapLocalName OBJECT-TYPE
      SYNTAX      SnaResourceName
      MAX-ACCESS  read-only

Expires May 1998                                               [Page 26]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      STATUS      current
      DESCRIPTION
          "The local name of the secondary LU (SLU)."
      ::= { tn3270eSnaMapEntry 2 }

  tn3270eSnaMapPrimaryLuName  OBJECT-TYPE
        SYNTAX   SnaResourceName
        MAX-ACCESS   read-only
        STATUS   current
        DESCRIPTION
            "When there is a currently active LU-LU session for this
            connection, this object returns the primary LU (PLU) name
            from the BIND.  When there is no active LU-LU session, or
            when the PLU name is unavailable for some other reason,
            this object returns the empty string."
        ::= { tn3270eSnaMapEntry 3 }

  tn3270eClientResMapTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eClientResMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines resource pool to client group mappings.
           Since both the resource pool name and client group name
           are included in the index clause of this table, multiple
           resource pools can be assigned to the same client group. This
           enables use of multiple resource pools for use in client to
           resource mapping. Assigning multiple client Groups to the
           same resource pool is also allowed, but is not the primary
           purpose for how the indexing is structured.

           Assignment of a resource pool to client group can be
           restricted based on TCP port. An index value of 0 for
           tn3270eClientResMapClientPort disables restriction of
           resource assignment based on client target port selection."
      ::= { tn3270eObjects 7 }

  tn3270eClientResMapEntry OBJECT-TYPE
      SYNTAX      Tn3270eClientResMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Definition of a single resource pool to client group
  mapping."
      INDEX  { tn3270eSrvrConfIndex,
               tn3270eClientResMapPoolName,
               tn3270eClientResMapClientGroupName,
               tn3270eClientResMapClientPort }

Expires May 1998                                               [Page 27]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      ::= { tn3270eClientResMapTable 1 }

  Tn3270eClientResMapEntry ::= SEQUENCE {
      tn3270eClientResMapPoolName           Utf8String,
      tn3270eClientResMapClientGroupName    Utf8String,
      tn3270eClientResMapClientPort         Unsigned32,
      tn3270eClientResMapRowStatus          RowStatus }

  tn3270eClientResMapPoolName OBJECT-TYPE
      SYNTAX      Utf8String (SIZE(1..24))
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of a resource pool."
      ::= { tn3270eClientResMapEntry 1 }

  tn3270eClientResMapClientGroupName OBJECT-TYPE
      SYNTAX      Utf8String (SIZE(1..24))
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of the client group that is mapped to a
           resource pool."
      ::= { tn3270eClientResMapEntry 2 }

  tn3270eClientResMapClientPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The port to restrict a resource pool to a client group
           mapping. A value of 0 for this objects implies that
           the mapping is not restricted."
      ::= { tn3270eClientResMapEntry 3 }

  tn3270eClientResMapRowStatus OBJECT-TYPE
      SYNTAX      RowStatus
      MAX-ACCESS  read-create
      STATUS      current
      DESCRIPTION
          "This object allows entries to be created and deleted in the
          tn3270eClientResMapTable.

          An entry in this table is deleted by setting this object
          to destroy(6)."
      REFERENCE
          "RFC 1903, 'Textual Conventions for version 2 of the Simple
          Network Management Protocol (SNMPv2).'"

Expires May 1998                                               [Page 28]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      ::= { tn3270eClientResMapEntry 4 }

  tn3270eResMapTable OBJECT-TYPE
      SYNTAX      SEQUENCE OF Tn3270eResMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "This table defines the actual mapping of a resource to
           a client Address."
      ::= { tn3270eObjects 8 }

  tn3270eResMapEntry OBJECT-TYPE
      SYNTAX      Tn3270eResMapEntry
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "Definition of the mapping of a Resource Element to
           a client Address."
      INDEX  { tn3270eSrvrConfIndex,
               tn3270eResMapElementName }
      ::= { tn3270eResMapTable 1 }

  Tn3270eResMapEntry ::= SEQUENCE {
      tn3270eResMapElementName       SnaResourceName,
      tn3270eResMapAddrType          Tn3270eAddrType,
      tn3270eResMapAddress           Tn3270eTAddress,
      tn3270eResMapPort              Unsigned32,
      tn3270eResMapElementType       Tn3270ResourceType,
      tn3270eResMapSscpSuppliedName  SnaResourceName }

  tn3270eResMapElementName OBJECT-TYPE
      SYNTAX      SnaResourceName
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The name of a resource element.  This is the name by
          which the server implementing this table knows the
          resource.  It may be different from the name by which
          the resource is known in the SNA network.  In this case
          the name by which the resource is known in the SNA
          network is returned in the tn3270eResMapSscpSuppliedName
          object."
      ::= { tn3270eResMapEntry 1 }

  tn3270eResMapAddrType OBJECT-TYPE
      SYNTAX      Tn3270eAddrType
      MAX-ACCESS  read-only
      STATUS      current

Expires May 1998                                               [Page 29]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      DESCRIPTION
          "Indicates the type of the client Address represented in
           tn3270eResMapAddress."
      ::= { tn3270eResMapEntry 2 }

  tn3270eResMapAddress OBJECT-TYPE
      SYNTAX      Tn3270eTAddress
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "A client address."
      ::= { tn3270eResMapEntry 3 }

  tn3270eResMapPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "A client Port."
      ::= { tn3270eResMapEntry 4 }

  tn3270eResMapElementType OBJECT-TYPE
      SYNTAX      Tn3270ResourceType
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "The type of the associating resource element."
      ::= { tn3270eResMapEntry 5 }

  tn3270eResMapSscpSuppliedName OBJECT-TYPE
      SYNTAX      SnaResourceName
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "The name of the secondary LU (SLU) as it is known in the
          SNA network.  This name is sent by the SSCP on the
          Activate Logical Unit (ACTLU) request.  The value of this
          object is the empty string if the tn3270eResMapElementName
          is the same as the SSCP-supplied name."
      ::= { tn3270eResMapEntry 6 }

  -- Define the set of objects to add to the Tcp Connection Table

  tn3270eTcpConnTable OBJECT-TYPE
      SYNTAX SEQUENCE OF Tn3270eTcpConnEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION

Expires May 1998                                               [Page 30]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

           "Provides a table that has an entry for each TN3270(E)
            client connection that is active at a TN3270E server.
            The table was originally modeled after the tcpConnTable
            but was changed to support different client Address types
            and to be indexed first by the remote address and port
            as oppose to local address and port. This is to enable
            use of a SNMP GET-NEXT operation using only the remote
            address and port."
      ::= { tn3270eObjects 9 }

  tn3270eTcpConnEntry OBJECT-TYPE
      SYNTAX Tn3270eTcpConnEntry
      MAX-ACCESS not-accessible
      STATUS current
      DESCRIPTION
           "Provides in formation about a single TN3270/TN3270E
            session. Note: a tn3270eSrvrConfIndex is not needed
            in this table since the combination of both remote
            local addresses and ports is sufficient to
            guarantee uniqueness between TN3270E Servers on the
            same or actually different hosts."
      INDEX { tn3270eTcpConnRemAddrType,
              tn3270eTcpConnRemAddress,
              tn3270eTcpConnRemPort,
              tn3270eTcpConnLocalAddrType,
              tn3270eTcpConnLocalAddress,
              tn3270eTcpConnLocalPort
            }
      ::= { tn3270eTcpConnTable 1 }

  Tn3270eTcpConnEntry ::=
      SEQUENCE
      {
          tn3270eTcpConnRemAddrType        Tn3270eAddrType,
          tn3270eTcpConnRemAddress         Tn3270eTAddress,
          tn3270eTcpConnRemPort            Unsigned32,
          tn3270eTcpConnLocalAddrType      Tn3270eAddrType,
          tn3270eTcpConnLocalAddress       Tn3270eTAddress,
          tn3270eTcpConnLocalPort          Unsigned32,
          tn3270eTcpConnLastActivity       TimeTicks,
          tn3270eTcpConnBytesIn            Counter32,
          tn3270eTcpConnBytesOut           Counter32,
          tn3270eTcpConnResourceElement    SnaResourceName,
          tn3270eTcpConnResourceType       Tn3270ResourceType,
          tn3270eTcpConnDeviceType         Tn3270DeviceTypes,
          tn3270eTcpConnFunctions          Tn3270Functions,
          tn3270eTcpConnId                 Unsigned32,
          tn3270eTcpConnClientIdFormat     INTEGER,

Expires May 1998                                               [Page 31]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          tn3270eTcpConnClientId           OCTET STRING,
          tn3270eTcpConnMiscInfoFormat     BITS,
          tn3270eTcpConnMiscInfo           OCTET STRING,
          tn3270eTcpConnLuLuBindImage      OCTET STRING,
          tn3270eTcpConnSnaState           INTEGER
      }

  tn3270eTcpConnRemAddrType OBJECT-TYPE
      SYNTAX   Tn3270eAddrType
      MAX-ACCESS   not-accessible
      STATUS   current
      DESCRIPTION
          "Indicates the type of the value of the
          tn3270eTcpConnRemAddress object. For example,
          ipv4(1) or ipv6(2)."
      ::= { tn3270eTcpConnEntry 1 }

  tn3270eTcpConnRemAddress OBJECT-TYPE
      SYNTAX      Tn3270eTAddress
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The remote address associated with a TN3270E client.
           tn3270eTcpConnRemAddrType indicates the address type
           (ipv4 or ipv6 for example).

           If a TN3270(E) client is connected to its
           server via a proxy client the address represented by
           the value of this object should be the remote client's
           address, not the proxy client's address."
      ::= { tn3270eTcpConnEntry 2 }

  tn3270eTcpConnRemPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The remote port associated with a TN3270E client.

           If a TN3270(E) client is connected to its
           server via a proxy client the port represented by
           the value of this object should be the remote client's
           port, not the proxy client's port."
      ::= { tn3270eTcpConnEntry 3 }

  tn3270eTcpConnLocalAddrType OBJECT-TYPE
      SYNTAX   Tn3270eAddrType
      MAX-ACCESS   not-accessible

Expires May 1998                                               [Page 32]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      STATUS   current
      DESCRIPTION
          "Indicates the type of the value of the
          tn3270eTcpConnLocalAddress object. For example,
          ipv4(1) or ipv6(2)."
      ::= { tn3270eTcpConnEntry 4 }

  tn3270eTcpConnLocalAddress OBJECT-TYPE
      SYNTAX      Tn3270eTAddress
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The local address associated with a TN3270E client.
           tn3270eTcpConnRemAddrType indicates the address type
           (ipv4 or ipv6 for example)."
      ::= { tn3270eTcpConnEntry 5 }

  tn3270eTcpConnLocalPort OBJECT-TYPE
      SYNTAX      Unsigned32 (0..65535)
      MAX-ACCESS  not-accessible
      STATUS      current
      DESCRIPTION
          "The remote port associated with a TN3270E client."
      ::= { tn3270eTcpConnEntry 6 }

  tn3270eTcpConnLastActivity OBJECT-TYPE
      SYNTAX   TimeTicks
      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "The number of 100ths of seconds since any data was
           transferred for the associating TCP Connection."
      DEFVAL  { 0 }
      ::= { tn3270eTcpConnEntry 7 }

  tn3270eTcpConnBytesIn  OBJECT-TYPE
      SYNTAX   Counter32
      UNITS "octets"
      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "The number of bytes received by the server from TCP
           for this connection."
      ::= { tn3270eTcpConnEntry 8 }

  tn3270eTcpConnBytesOut OBJECT-TYPE
      SYNTAX   Counter32
      UNITS "octets"

Expires May 1998                                               [Page 33]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "The number of bytes sent to TCP for this connection."
      ::= { tn3270eTcpConnEntry 9 }

  tn3270eTcpConnResourceElement OBJECT-TYPE
      SYNTAX   SnaResourceName
      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "LU/Print secondary name for connecting an client
           into an SNA network."
     ::= { tn3270eTcpConnEntry 10 }

  tn3270eTcpConnResourceType OBJECT-TYPE
      SYNTAX   Tn3270ResourceType
      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "Indicates the type of resource identified by
           tn3270eTcpConnResourceElement."
     ::= { tn3270eTcpConnEntry 11 }

  tn3270eTcpConnDeviceType OBJECT-TYPE
     SYNTAX   Tn3270DeviceTypes
     MAX-ACCESS   read-only
     STATUS   current
     DESCRIPTION
         "Indicates the device type if negotiated with client.
          This object is also known as logmode."
     ::= { tn3270eTcpConnEntry 12 }

  tn3270eTcpConnFunctions OBJECT-TYPE
     SYNTAX   Tn3270Functions
     MAX-ACCESS   read-only
     STATUS   current
     DESCRIPTION
         "This object will indicates which of the TN3270 and TN3270E
          functions that are supported by the server was negioted
          with a client. Refer to tn3270eSrvrFunctionsSupported."
     ::= { tn3270eTcpConnEntry 13 }

  tn3270eTcpConnId OBJECT-TYPE
      SYNTAX      Unsigned32
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION

Expires May 1998                                               [Page 34]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          "The connection identifier associated with a TN3270 or
           a TN3270E session's TCP connection."
      ::= { tn3270eTcpConnEntry 14 }

  tn3270eTcpConnClientIdFormat OBJECT-TYPE
      SYNTAX      INTEGER {
                            unknown(0)
                          }

      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "The format of the corresponding tn3270eTcpConnClientId
           object:

              ENUMERATION    OCTETs  DESCRIPTION
              unknown(0)       0"
      ::= { tn3270eTcpConnEntry 15 }

  tn3270eTcpConnClientId OBJECT-TYPE
      SYNTAX      OCTET STRING (SIZE (0..512))
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "Additional client identification information whose
           content is defined by the corresponding value of
           tn3270eTcpConnClientIdFormat."
      ::= { tn3270eTcpConnEntry 16 }

  tn3270eTcpConnMiscInfoFormat OBJECT-TYPE
      SYNTAX    BITS {
                      none(0),
                      unknown(1),
                      proxyIpv4(2),
                      proxyIpv6(3)
                     }
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
         "This object defines the content of a corresponding
          tn3270eTcpConnMiscInfo object. This object is defined
          using the BITS SYNTAX in order to enable the presents
          of multiple elements. The order of occurance of the
          selected elements in a tn3270eTcpConnMiscInfo must
          follow the precedence of the associating BIT definition
          with the exception of unknown(1) which must be last
          if selected:

Expires May 1998                                               [Page 35]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          ENUMERATION OCTETs DESCRIPTION
          none(0)       0
          unknown(1)  0..512 A variable length generic field.
          proxyIpv4(2)  4    The actual client is connected
                             via a proxy client whose address
                             is stored in tn3270eTcpConnClientId.
          proxyIpv6(3) 16    The actual client is connected
                             via a proxy client whose address
                             is stored in tn3270eTcpConnClientId.

          For example, selection of unknown(1), proxyIpv4(2) and
          proxyIpv6(3) would result in the corresponding
          tn3270eTcpConnMiscInfo containing a proxyIpv6 value
          followed by a proxyIpv4 value and ended with a variable
          length unknown value."
      ::= { tn3270eTcpConnEntry 17 }

  tn3270eTcpConnMiscInfo OBJECT-TYPE
      SYNTAX      OCTET STRING (SIZE (0..512))
      MAX-ACCESS  read-only
      STATUS      current
      DESCRIPTION
          "Additional client information. The contents of this
           object is defined by the corresponding object
           tn3270eTcpConnMiscInfoFormat."
      ::= { tn3270eTcpConnEntry 18 }

  tn3270eTcpConnLuLuBindImage  OBJECT-TYPE
      SYNTAX   OCTET STRING (SIZE (0..256))
      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "When there is a currently active LU-LU session for
          this connection, this object returns the BIND Image
          (defined to be bytes 1-p of the complete BIND Request
          Unit) that was received from the PLU during session
          activation.  When there is no active LU-LU session,
          or when a BIND image is unavailable for some other
          reason, this object returns the empty string."
     ::= { tn3270eTcpConnEntry 19 }

  tn3270eTcpConnSnaState  OBJECT-TYPE
      SYNTAX   INTEGER {
                    unknown(0),
                    noSluSession(1),
                    sscpLuSession(2),  -- but no LU-LU session
                    luLuSession(3)
                       }

Expires May 1998                                               [Page 36]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

      MAX-ACCESS   read-only
      STATUS   current
      DESCRIPTION
          "The current state of the SNA side of the end-to-end
          TN3270 connection.  The following states are defined:

          unknown(0)          - The true state is not known.
          noSluSession(1)     - The SLU has neither an SSCP-LU
                                nor an LU-LU session active.
          sscpLuSession(2)    - The SSCP-LU session for the SLU
                                is active, but the SLU is not
                                currently in session with a PLU.
          luLuSession(3)      - The SLU currently has an active
                                session with a PLU."
     ::= { tn3270eTcpConnEntry 20 }

  -- Conformance Definitions

  tn3270eGroups      OBJECT IDENTIFIER ::= { tn3270eConformance 1 }
  tn3270eCompliances OBJECT IDENTIFIER ::= { tn3270eConformance 2 }

  -- compliance statements

  tn3270eCompliance MODULE-COMPLIANCE
      STATUS  current
      DESCRIPTION
          "The compliance statement for agents that support the
          TN3270E-MIB."
      MODULE -- this module
          MANDATORY-GROUPS { tn3270eBasicGroup,
                             tn3270eSessionGroup
                           }
          GROUP       tn3270eResMapGroup
          DESCRIPTION
              "This group is optional and provides a method of
              performing tn3270eClientGroup to tn3270eResPool
              mapping."
          OBJECT tn3270eSrvrConfActivityCheck
             MIN-ACCESS  read-only
             DESCRIPTION
                "The agent is not required to support a set to this
                 object if the associating TN3270E server doesn't
                 support either TIMEMARK or NOP processing. In
                 this case an agent should return noCheck on
                 retrieval."
          OBJECT tn3270eSrvrConfActivityTimeout
             MIN-ACCESS  read-only
             DESCRIPTION

Expires May 1998                                               [Page 37]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

                "The agent is not required to support a set to this
                 object if the functions enabled by
                 tn3270eSrvrConfActivityCheck are not supported.
                 An agent in this case should return a value of 0."
          OBJECT tn3270eSrvrConfActivityInterval
             MIN-ACCESS  read-only
             DESCRIPTION
                "The agent is not required to support a set to this
                 object if the functions enabled by
                 tn3270eSrvrConfActivityCheck are not supported.
                 An agent in this case should return a value of 0."
          OBJECT  tn3270eSrvrConfAdminStatus
             DESCRIPTION
                "A TN3270E server is not required to support a
                 stopImmediate state transition."
      ::= { tn3270eCompliances 1 }

  -- units of conformance

  tn3270eBasicGroup OBJECT-GROUP
      OBJECTS {
          tn3270eSrvrConfInactivityTimeout,
          tn3270eSrvrConfActivityCheck,
          tn3270eSrvrConfActivityTimeout,
          tn3270eSrvrConfActivityInterval,
          tn3270eSrvrFunctionsSupported,
          tn3270eSrvrConfAdminStatus,
          tn3270eSrvrConfOperStatus,
          tn3270eSrvrConfSessionTermState,
          tn3270eSrvrConfSrvrType,
          tn3270eSrvrConfContact,
          tn3270eSrvrConfRowStatus,
          tn3270eSrvrPortRowStatus,
          tn3270eSrvrStatsUpTime,
          tn3270eSrvrStatsMaxLus,
          tn3270eSrvrStatsLusInUse,
          tn3270eSrvrStatsSpareLus,
          tn3270eSrvrStatsMaxPtrs,
          tn3270eSrvrStatsPtrsInUse,
          tn3270eSrvrStatsSparePtrs,
          tn3270eSrvrStatsConnectsIn,
          tn3270eSrvrStatsConnRejects,
          tn3270eSrvrStatsDisconnects,
          tn3270eSrvrStatsOctetsIn,
          tn3270eSrvrStatsOctetsInLow,
          tn3270eSrvrStatsOctetsOut,
          tn3270eSrvrStatsOctetsOutLow,
          tn3270eClientGroupSubnetMask,

Expires May 1998                                               [Page 38]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

          tn3270eClientGroupPfxLength,
          tn3270eClientGroupRowStatus,
          tn3270eSnaMapLocalName,
          tn3270eSnaMapPrimaryLuName
      }
      STATUS  current
      DESCRIPTION
          "This group is mandatory for all hosts supporting the
           TN3270E-MIB."
      ::= { tn3270eGroups 1 }

  tn3270eSessionGroup OBJECT-GROUP
      OBJECTS {
          tn3270eResMapAddrType,
          tn3270eResMapAddress,
          tn3270eResMapPort,
          tn3270eResMapElementType,
          tn3270eResMapSscpSuppliedName,
          tn3270eTcpConnLastActivity,
          tn3270eTcpConnBytesIn,
          tn3270eTcpConnBytesOut,
          tn3270eTcpConnResourceElement,
          tn3270eTcpConnResourceType,
          tn3270eTcpConnDeviceType,
          tn3270eTcpConnFunctions
        }
      STATUS  current
      DESCRIPTION
          "This group is mandatory for all hosts supporting the
           TN3270E-MIB."
      ::= { tn3270eGroups 2 }

  tn3270eResMapGroup OBJECT-GROUP
      OBJECTS {
          tn3270eResPoolElementType,
          tn3270eResPoolRowStatus,
          tn3270eClientResMapRowStatus,
          tn3270eTcpConnId,
          tn3270eTcpConnClientIdFormat,
          tn3270eTcpConnClientId,
          tn3270eTcpConnMiscInfoFormat,
          tn3270eTcpConnMiscInfo,
          tn3270eTcpConnLuLuBindImage,
          tn3270eTcpConnSnaState
        }
      STATUS  current
      DESCRIPTION
          "This group is optional for all hosts supporting the

Expires May 1998                                               [Page 39]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

           TN3270E-MIB."
      ::= { tn3270eGroups 3 }

  END

5.  Security Considerations

  Certain management information defined in this MIB may be considered
  sensitive in some network environments.  Therefore, authentication of
  received SNMP requests and controlled access to management information
  should be employed in such environments.  The method for this
  authentication is a function of the SNMP Administrative Framework, and
  has not been expanded by this MIB.

  Several objects in this MIB allow write access or provide for remote
  creation. Allowing this support in a non-secure environment can have a
  negative effect on network operations.  It is recommended that
  implementers seriously consider whether set operations should be
  allowed without providing, at a minimum, authentication of request
  origin. It it recommended that without such support that the following
  objects be implemented as read-only:

      o tn3270eSrvrConfInactivityTimout
      o tn3270eSrvrConfActivityCheck
      o tn3270eSrvrConfActivityTimeout
      o tn3270eSrvrConfActivityInterval
      o tn3270eSrvrConfAdminStatus
      o tn3270eSrvrConfSessionTermState
      o tn3270eSrvrConfContact
      o tn3270eClientGroupSubnetMask
      o tn3270eResPoolElementType

  The following objects should either be implemented as read-only or not
  implemented when security is an issue as previously discussed:

      o tn3270eSrvrConfRowStatus
      o tn3270eSrvrPortRowStatus
      o tn3270eClientGroupRowStatus
      o tn3270eResPoolRowStatus
      o tn3270eResMapRowStatus

6.  Acknowledgments

  This document is a product of the TN3270E Working Group.

Expires May 1998                                               [Page 40]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

7.  References

[1]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and
     Waldbusser S., "Structure of Management Information for version 2
     of the Simple Network Management Protocol (SNMPv2)", RFC 1902,
     January 1996.

[2]  Network Working Group, Postel, J., and Reynolds, J., "Telnet
     Protocol Specification", RFC 854, May 1983.

[3]  Network Working Group, Postel, J., and Reynolds, J., "Telnet Timing
     Mark Option", RFC 860, May 1983.

[4]  Network Working Group and Rekhter J., "Telnet 3270 Regime Option",
     RFC 1041, January 1988.

[5]  McCloghrie, K., and M. Rose, Editors, "Management Information Base
     for Network Management of TCP/IP-based internets: MIB-II", STD 17,
     RFC 1213, Hughes LAN Systems, Performance Systems International,
     March 1991.

[6]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Textual Conventions for version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1903, January 1996.

[7]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Protocol Operations for version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1905, January 1996.

[8]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and S.
     Waldbusser, "Conformance Statements for version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1904, January 1996.

[9]  Case, J., M. Fedor, M. Schoffstall, J. Davin, "Simple Network
     Management Protocol", RFC 1157, SNMP Research, Performance Systems
     International, MIT Laboratory for Computer Science, May 1990.

[10] IETF SNMPv2 Working Group and McCloghrie, K., "TCP-MIB

Expires May 1998                                               [Page 41]~

White      TN3270E Management Information Base (TN3270E-MIB)    20 November 1997

     Definitions", November 1994.

[11] Hinden, R., Deering, S., "IP Version 6 Addressing Architecture",
     <draft-ietf-ipngwg-addr-arch-v2-02.txt>, July 16, 1997

[12] Krupczak, Cheryl, Saperia, Jonathan, "Definitions of System-Level
     Managed Objects for Applications", April 15, 1997.

8.  Authors' Address

  Kenneth D. White
  Dept. G80/Bldg 501
  IBM Corporation
  Research Triangle Park, NC 27709, USA
  E-mail: [email-masked]

Expires May 1998                                               [Page 42]~